diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-CZ.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-CZ.rdf
index 52b4424..ccf44f2 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-CZ.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-CZ.rdf
@@ -3289,87 +2629,87 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Praha 17
+    // Žďár nad Sázavou
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Praha17">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;ZdarNadSazavou">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Praha 17</rdfs:label>
-      <skos:definition>The district of Praha 17 in the country of Czechia</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;Praha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Praha 17</lcc-cr:hasLocalShortName>
+      <rdfs:label>Žďár nad Sázavou</rdfs:label>
+      <skos:definition>The district of Žďár nad Sázavou in the country of Czechia</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;KrajVysocina"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Žďár nad Sázavou</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cz;District"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-117">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-635">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Praha 17 in the country of Czechia</skos:definition>
-      <rdfs:label>CZ-117</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-117</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Praha17"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Praha17"/>
+      <skos:definition>subdivision code for the district of Žďár nad Sázavou in the country of Czechia</skos:definition>
+      <rdfs:label>CZ-635</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-635</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;ZdarNadSazavou"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;ZdarNadSazavou"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
 
 
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Praha 18
+    // Zlínský kraj
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Praha18">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;ZlinskyKraj">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Praha 18</rdfs:label>
-      <skos:definition>The district of Praha 18 in the country of Czechia</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;Praha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Praha 18</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cz;District"/>
+      <rdfs:label>Zlínský kraj</rdfs:label>
+      <skos:definition>The region of Zlínský kraj in the country of Czechia</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Czechia"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Zlínský kraj</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cz;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-118">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-72">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Praha 18 in the country of Czechia</skos:definition>
-      <rdfs:label>CZ-118</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-118</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Praha18"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Praha18"/>
+      <skos:definition>subdivision code for the region of Zlínský kraj in the country of Czechia</skos:definition>
+      <rdfs:label>CZ-72</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-72</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;ZlinskyKraj"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;ZlinskyKraj"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Praha 19
+    // Zlín
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Praha19">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Zlin">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Praha 19</rdfs:label>
-      <skos:definition>The district of Praha 19 in the country of Czechia</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;Praha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Praha 19</lcc-cr:hasLocalShortName>
+      <rdfs:label>Zlín</rdfs:label>
+      <skos:definition>The district of Zlín in the country of Czechia</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;ZlinskyKraj"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Zlín</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cz;District"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-119">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-724">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Praha 19 in the country of Czechia</skos:definition>
-      <rdfs:label>CZ-119</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-119</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Praha19"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Praha19"/>
+      <skos:definition>subdivision code for the district of Zlín in the country of Czechia</skos:definition>
+      <rdfs:label>CZ-724</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-724</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Zlin"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Zlin"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
@@ -3379,27 +2719,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Praha 20
+    // Kroměříž
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Praha20">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Kromeriz">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Praha 20</rdfs:label>
-      <skos:definition>The district of Praha 20 in the country of Czechia</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;Praha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Praha 20</lcc-cr:hasLocalShortName>
+      <rdfs:label>Kroměříž</rdfs:label>
+      <skos:definition>The district of Kroměříž in the country of Czechia</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;ZlinskyKraj"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Kroměříž</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cz;District"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-120">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-721">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Praha 20 in the country of Czechia</skos:definition>
-      <rdfs:label>CZ-120</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-120</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Praha20"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Praha20"/>
+      <skos:definition>subdivision code for the district of Kroměříž in the country of Czechia</skos:definition>
+      <rdfs:label>CZ-721</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-721</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Kromeriz"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Kromeriz"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
@@ -3409,27 +2749,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Praha 22
+    // Uherské Hradiště
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Praha22">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;UherskeHradiste">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Praha 22</rdfs:label>
-      <skos:definition>The district of Praha 22 in the country of Czechia</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;Praha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Praha 22</lcc-cr:hasLocalShortName>
+      <rdfs:label>Uherské Hradiště</rdfs:label>
+      <skos:definition>The district of Uherské Hradiště in the country of Czechia</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;ZlinskyKraj"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Uherské Hradiště</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cz;District"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-122">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-722">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Praha 22 in the country of Czechia</skos:definition>
-      <rdfs:label>CZ-122</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-122</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Praha22"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Praha22"/>
+      <skos:definition>subdivision code for the district of Uherské Hradiště in the country of Czechia</skos:definition>
+      <rdfs:label>CZ-722</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-722</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;UherskeHradiste"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;UherskeHradiste"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
@@ -3439,27 +2779,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Praha 21
+    // Vsetín
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Praha21">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;Vsetin">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Praha 21</rdfs:label>
-      <skos:definition>The district of Praha 21 in the country of Czechia</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;Praha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Praha 21</lcc-cr:hasLocalShortName>
+      <rdfs:label>Vsetín</rdfs:label>
+      <skos:definition>The district of Vsetín in the country of Czechia</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-cz;ZlinskyKraj"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="cs">Vsetín</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cz;District"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-121">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cz;CZ-723">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Praha 21 in the country of Czechia</skos:definition>
-      <rdfs:label>CZ-121</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-121</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Praha21"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Praha21"/>
+      <skos:definition>subdivision code for the district of Vsetín in the country of Czechia</skos:definition>
+      <rdfs:label>CZ-723</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CZ-723</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cz;Vsetin"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cz;Vsetin"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cz;"/>
    </owl:NamedIndividual>
